Get private locations
- Base URL
-
https://{kibana_url}
-
GET
/api/synthetics/private_locations
-
GET
/s/{space_id}/api/synthetics/private_locations
Auth
Get a list of private locations.
You must have read privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
<array> object[]
-
agentPolicyId
string
-
The ID of the agent policy associated with the private location.
-
geo
object
-
Geographic coordinates (WGS84) for the location.
-
-
lat
number
required
-
The latitude of the location.
-
lon
number
required
-
The longitude of the location.
-
id
string
-
The unique identifier of the private location.
-
isInvalid
boolean
-
Indicates whether the location is invalid. If true, the location is invalid, which means the agent policy associated with the location is deleted.
-
label
string
-
A label for the private location.
-
namespace
string
-
The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
-
spaces
string[]
-
The space IDs where the private location is available.
-
tags
string[]
-
An array of tags to categorize the private location.
Thank you for your feedback.